---
layout: docs
page_title: groups remove-members - Command
description: >-
  The "groups remove-members" command removes members from a group resource.
---

⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️
> [!IMPORTANT]  
> **Documentation Update:** Product documentation previously located in `/website` has moved to the [`hashicorp/web-unified-docs`](https://github.com/hashicorp/web-unified-docs) repository, where all product documentation is now centralized. Please make contributions directly to `web-unified-docs`, since changes to `/website` in this repository will not appear on developer.hashicorp.com.
⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️

# groups remove-members

Command: `boundary groups remove-members`

The `groups remove-members` command removes users from a group, given its ID.

## Examples

The following example removes a user with the ID `u_J5l9FWB7yq` from a group with the ID `g_FNVVhAd0on`:

```shell-session
$ boundary groups remove-members -id g_FNVVhAd0on \
   -member u_J5l9FWB7yq
```

**Example output:**

<CodeBlockConfig hideClipboard>

```plaintext
Group information:
  Created Time:        Thu, 24 Aug 2023 13:58:23 PDT
  Description:         Web dev group
  ID:                  g_FNVVhAd0on
  Name:                webdev
  Updated Time:        Thu, 24 Aug 2023 14:21:05 PDT
  Version:             3

  Scope:
    ID:                o_R0wbo0H6Zl
    Name:              quick-start-org
    Parent Scope ID:   global
    Type:              org

  Authorized Actions:
    no-op
    read
    update
    delete
    add-members
    set-members
    remove-members

  Members:
    ID:                u_ad8tbsXHJP
    Scope ID:          o_R0wbo0H6Zl
```

</CodeBlockConfig>

The output displays the group information.

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary groups remove-members [options] [args]
```

</CodeBlockConfig>

### Command options

- `-id` `(string: "")` - The ID of the group from which to remove a member.
- `-member` `(string: "")` - The ID of the user to be removed from the group.
You can specify the `-member` flag multiple times.

@include 'cmd-option-note.mdx'
